Which macOS versions are compatible with my ~sedna presenter software?

            macOS 10.14 – Version 5
            macOS 10.13 – Version 4.5 and Version 5
            macOS 10.12 – Version 4.1 or higher

            Mac OS 10.11 – Version 3.4.2 to 4.1
            Mac OS 10.10 – Version 3.2 to 3.4.1

            Older versions are not supported anymore.
            Please contact our sales team (sales@sedna.de) to lift off your software to the latest version.


            Helpful?  
            Help us to make this article better
            0 0